Models

Browse and retrieve information about the AI models available through Nextbit's API. Our models are compatible with the OpenAI format.

The model object

The model object contains information about a specific AI model, including its ID, capabilities, and context window.

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the model.

  • Name
    object
    Type
    string
    Description

    Object type, always "model".

  • Name
    created
    Type
    integer
    Description

    Unix timestamp of when the model was created.

  • Name
    owned_by
    Type
    string
    Description

    Organization that owns the model.


GET/v1/models

List models

Retrieve a list of all available models that can be used with the API.

Request

GET
/v1/models
from openai import OpenAI

client = OpenAI(
    base_url="https://api.nextbit256.com/v1",
    api_key="your-api-key"
)

models = client.models.list()

for model in models.data:
    print(model.id)

Response

{
  "object": "list",
  "data": [
    {
      "id": "llama3.3:70b",
      "object": "model",
      "created": 1686935002,
      "owned_by": "meta"
    },
    {
      "id": "qwen2.5:72b",
      "object": "model",
      "created": 1686935002,
      "owned_by": "alibaba"
    }
  ]
}

GET/v1/models/{id}

Retrieve model

Retrieve information about a specific model by its ID.

Required attributes

  • Name
    id
    Type
    string
    Description

    The ID of the model to retrieve.

Request

GET
/v1/models/llama3.3:70b
from openai import OpenAI

client = OpenAI(
    base_url="https://api.nextbit256.com/v1",
    api_key="your-api-key"
)

model = client.models.retrieve("llama3.3:70b")
print(model)

Response

{
  "id": "llama3.3:70b",
  "object": "model",
  "created": 1686935002,
  "owned_by": "meta"
}

Available Models

Was this page helpful?